package com.rjconsultores.ventaboletos.exception;

import java.text.MessageFormat;

public class IntegracionException extends Exception {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	/**
	 * 
	 * @param message
	 *            - La clave del archivo de traduccion
	 */
	public IntegracionException(String message) {
		super(message);
	}

	/**
	 * 
	 * @param message
	 *            - La clave del archivo de traduccion
	 * @param oMsg
	 *            - Los parametros de la mensage
	 */
	public IntegracionException(String message, Object oMsg) {
		super(new MessageFormat(message).format(oMsg));
	}

}
